﻿$ErrorActionPreference = 'Stop'; 
$toolsDir    = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$packageName = 'tektoncd-cli'
$url64       = 'https://github.com/tektoncd/cli/releases/download/v0.31.3/tkn_0.31.3_Windows_x86_64.zip'

$packageArgs = @{
  packageName    = $packageName
  unzipLocation  = $toolsDir
  url64bit       = $url64
  softwareName   = 'tektoncd-cli*' 
  checksum64     = 'b19d2754afb339f67aed2cf31a86c63481e73cfaa4cd9624c1cd2e3be5c507ca'
  checksumType64 = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
